## LassoSamlp2NameIDMappingResponse

LassoSamlp2NameIDMappingResponse — <samlp2:NameIDMappingResponse>

## Functions

LassoNode * | lasso_samlp2_name_id_mapping_response_new ()

## Types and Values

struct | LassoSamlp2NameIDMappingResponse

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlp2StatusResponse
                ╰── LassoSamlp2NameIDMappingResponse

## Description

Figure 82. Schema fragment for samlp2:NameIDMappingResponse

    <complexType name="NameIDMappingResponseType">
      <complexContent>
        <extension base="samlp:StatusResponseType">
          <choice>
            <element ref="saml:NameID"/>
            <element ref="saml:EncryptedID"/>
          </choice>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_name_id_mapping_response_new ()

    LassoNode *
    lasso_samlp2_name_id_mapping_response_new
                                   (void);

Creates a new LassoSamlp2NameIDMappingResponse object.

#### Returns

a newly created LassoSamlp2NameIDMappingResponse object

## Types and Values

### struct LassoSamlp2NameIDMappingResponse

    struct LassoSamlp2NameIDMappingResponse {
    	/* elements */
    	LassoSaml2NameID *NameID;
    	LassoSaml2EncryptedElement *EncryptedID;
    };